'This routine checks for valid computer Az and El Data and processes
'if valid

Public CompDataOut(1 to 85) as Byte
Public CompDataIn(1 to 20) as Byte
Private Data as Integer

Sub GetComputerData()

Dim X as Integer

' *** If incoming data from computer, act on it. If not, loop back to Main ***

Data = 0						'Clear data variable
If StatusQueue(CompDataIn) Then		'Data in queue?
Call GetQueue(CompDataIn, Data, 1)		'Get first 1 byte

If (Data = 63) Then				'If 1st byte is "?", get next byte
'Debug.print "?A 1st Byte = " ; CStr(Data)

Call GetQueue(CompDataIn, Data, 1)
'Debug.print "?A 2nd Byte = " ; CStr(Data)

If (Data = 65) Then				'If 2nd byte is "A", get next byte
Call GetQueue(CompDataIn, Data, 1)
If (Data = 13) Then				'If 3rd byte is CR, then proceed

' *** Routine to Send Antenna Az/El data to Computer ***

If (AzPos >= 100) Then
	Call PutQueueStr(CompDataOut, "        AZ= 139 / " & CStr(AzPos) & ".0deg")
Else
If (AzPos < 10) Then
	Call PutQueueStr(CompDataOut, "        AZ= 139 /   " & CStr(AzPos) & ".0deg")
Else
	Call PutQueueStr(CompDataOut, "        AZ= 139 /  " & CStr(AzPos) & ".0deg")

End If
End If

If  (ElPos >= 100) Then
	Call PutQueueStr(CompDataOut, "      EL= 127 / "& CStr(ElPos) & ".0deg." & Chr(13) & Chr(10))
	Call PutQueueStr(CompDataOut, "TrakBox>> " & Chr(13) & Chr(10))
Else
If  (ElPos < 10) Then
	Call PutQueueStr(CompDataOut, "      EL= 127 /   "& CStr(ElPos) & ".0deg." & Chr(13) & Chr(10))
	Call PutQueueStr(CompDataOut, "TrakBox>> " & Chr(13) & Chr(10))
Else
	Call PutQueueStr(CompDataOut, "      EL= 127 /  "& CStr(ElPos) & ".0deg." & Chr(13) & Chr(10))
	Call PutQueueStr(CompDataOut, "TrakBox>> " & Chr(13) & Chr(10))

End If
End If
End If
End If
End If
End If


' *** Routine to get Az/El data of tracked object from computer **

If (Data = 65) Then				'If 1st byte is "A", get next byte
'Debug.print "Tracking 1st Byte = " ; CStr(Data)

Call GetQueue(CompDataIn, Data, 1)
'Debug.print "Tracking 2nd Byte = " ; CStr(Data)

If (Data = 122) Then				'If 2nd byte is "z", get next byte

Call GetQueue(CompDataIn, data, 1)		'Get 1st Az digit
NewAzPos = (CInt(data-48)* 100)
'Debug.print "1st Az digit = " ; CStr(data)

Call GetQueue(CompDataIn, data, 1)  	'Get 2nd Az digit
NewAzPos = NewAzPos + (CInt(data-48) * 10)
'Debug.print "2nd Az digit = " ; CStr(data)

Call GetQueue(CompDataIn, data, 1)  	'Get 3rd Az digit
NewAzPos = NewAzPos + CInt(data-48)
'Debug.print "3rd Az digit = " ; CStr(data)
'Debug.print "NewAzPos = " ; CStr(NewAzPos)

Call GetQueue(CompDataIn, data, 1)  	'discard " "

Call GetQueue(CompDataIn, data, 1)  	'discard "E"

Call GetQueue(CompDataIn, data, 1)  	'discard "l"

Call GetQueue(CompDataIn, data, 1) 	'Get 1st El digit
NewElPos = (CInt(data-48)* 100)

Call GetQueue(CompDataIn, data, 1)  	'Get 2nd El digit
NewElPos = NewElPos + (CInt(data-48) * 10)

Call GetQueue(CompDataIn, data, 1)  	'Get 3rd El digit
NewElPos = NewElPos + CInt(data-48)
'Debug.print "NewElPos = " ; CStr(NewElPos)

Call GetQueue(CompDataIn, data, 1)  	'Wait for <CR> and discard
 

'Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(9))	'Position cursor
'Call PutQueueStr(LCDDataOut, CStr(NewAzPos))

'If (NewAzPos < 100) Then
'		Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(11)) 	'Clear trailing zero
'		Call PutQueueStr(LCDDataOut, Chr(32)) 				'Print a space
'End If

'	If (NewAzPos < 10) then
'		Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(10)) 	'Clear trailing zero
'		Call PutQueueStr(LCDDataOut, Chr(32)) 				'Print a space
'End If

'Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(17))	'Position cursor
'Call PutQueueStr(LCDDataOut, CStr(NewElPos))

'If (NewElPos < 100) Then
'		Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(19)) 	'Clear trailing zero
'		Call PutQueueStr(LCDDataOut, Chr(32)) 				'Print a space
'End If

'If (NewElPos < 10) then
'		Call PutQueueStr(LCDDataOut, Chr(CursPos) & Chr(18)) 	'Clear trailing zero
'		Call PutQueueStr(LCDDataOut, Chr(32)) 				'Print a space
'End If

'Debug.print "NewAzPos = " ; CStr(NewAzPos)
'Debug.print "NewElPos = " ; CStr(NewElPos)

End If
End If

End Sub
