Public DataOut(1 to 20) as Byte
Public DataIn(1 to 10) as Byte
Public Const Clr_Scrn as Byte = 12
Public Const CursPos as Byte = 16
Public Const Bell_Sound as Byte = 7
Public Const Bell_Freq as Byte = 23

Sub LCD()

'*****Open queue and define dataport*****
Call OpenQueue(DataIn, 20)			'Open queue for incoming LCD data
Call OpenQueue(DataOut, 20)			'Open queue for outgoing LCD data
Call DefineCom3 (6, 5, bx1000_1000)	'Pin 6 as input, Pin 5 as output,
							'8 bit, no parity, inverted
Call OpenCom(3, 9600, DataIn, DataOut)	'9600 baud

'******INITIAL SIGNON SCREEN******

Call PutQueueStr(DataOut, Chr(Clr_Scrn))	'Clear screen
Sleep(1.0)
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(5))	'Position cursor
Call PutQueueStr(DataOut, "Welcome to ")			'String to send
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(27))	'Position cursor
Call PutQueueStr(DataOut, "V 1.05")			'String to send
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(45))	'Position cursor
Call PutQueueStr(DataOut, "AH6LE Trak")	'String to send

'***Set up tone frequency***

Call PutQueueStr(DataOut, Chr(Bell_Freq) & Chr(254))
Call PutQueueStr(DataOut, Chr(Bell_Sound))

Call Sleep(2.0)				'Delay 2 seconds

'***Setup Screen Template***

Call PutQueueStr(DataOut, Chr(Clr_Scrn))	'Clear screen

Call PutQueueStr(DataOut, Chr(CursPos) & Chr(0))	'Position cursor
Call PutQueueStr(DataOut, "Moon:")				'String to send
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(6))	
Call PutQueueStr(DataOut, "Az 134")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(14))	
Call PutQueueStr(DataOut, "El 22")	
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(20))
Call PutQueueStr(DataOut, "Ant:")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(26))
Call PutQueueStr(DataOut, "Az")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(34))
Call PutQueueStr(DataOut, "El")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(40))
Call PutQueueStr(DataOut, "01:48:12")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(49))
Call PutQueueStr(DataOut, "Tracking On")
Call PutQueueStr(DataOut, Chr(CursPos) & Chr(65))
Call PutQueueStr(DataOut, "PTT Standby")


End Sub
